Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77974 - TB ipcalc.py:37
Summary: TB ipcalc.py:37
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-11-16 03:38 UTC by Srinivas Meduri
Modified: 2007-03-27 03:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-04 20:17:40 UTC


Attachments (Terms of Use)

Description Srinivas Meduri 2002-11-16 03:38:44 UTC
Description of Problem: When I tried to add just the Gateway in the properties
window of the ethernet device, and hit Apply button I got this below exception
message.
---------------------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 58,
in network
    self.prefix()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 37,
in prefix
    self._netmask = re.match("NETMASK=(\S+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'

Local variables in innermost frame:
text:
self: <netconfpkg.ipcalc.IPCalc instance at 0x84e865c>
---------------------------------------------------------------------------------


Version-Release number of selected component (if applicable):
Redhat Linux 8.0

How Reproducible: Everytime


Steps to Reproduce:

1. Go to the GNOME Menu --> System Settings --> Network
2. Select Network, that opens up a Network Configuration window.
3. Double mouse click on the ethernet entry shown under the Devices tab.
4. This opens up an Ethernet Device window.
5. Click on Add button to add Gateway.
6. Add only Gateway and click OK. This closes the current window and takes back 
   to the parent window(Network Configuration window).
7. Click Apply button. You will see a Exception message window shows up with the 
   core shown below in Actual Results.


Actual Results:
---------------------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 58,
in network
    self.prefix()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 37,
in prefix
    self._netmask = re.match("NETMASK=(\S+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'

Local variables in innermost frame:
text:
self: <netconfpkg.ipcalc.IPCalc instance at 0x84e865c>
---------------------------------------------------------------------------------



Expected Results: If the operation entries are wrong then there should be an
information or error message to the user.


Additional Information: The machine I saw this problem is a freshly installed
system with Redhat Linux 8.0 on it. Also the machine has been configured with an
IP Address obtained from a DHCP server. Not sure this is related to the problem
I saw above.

Comment 1 Mihai Ibanescu 2002-11-16 04:38:57 UTC
Reassigning to the right component.

Comment 2 Harald Hoyer 2003-01-13 15:20:40 UTC
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/

Comment 3 Bill Nottingham 2006-08-04 20:17:40 UTC
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.


Note You need to log in before you can comment on or make changes to this bug.